Help us improve CoreWeave documentation. Take the docs survey.
curl --request PATCH \
--url https://api.coreweave.com/v1alpha1/inference/capacityclaims/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"resources": {
"instanceId": "<string>",
"instanceCount": 123,
"zones": [
"<string>"
],
"capacityType": "CAPACITY_TYPE_SERVERLESS"
}
}
'{
"capacityClaim": {
"spec": {
"id": "<string>",
"name": "<string>",
"resources": {
"instanceId": "<string>",
"instanceCount": 123,
"zones": [
"<string>"
],
"capacityType": "CAPACITY_TYPE_SERVERLESS"
},
"organizationId": "<string>"
},
"status": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"conditions": [
{
"type": "<string>",
"lastUpdateTime": "2023-11-07T05:31:56Z",
"reason": "<string>",
"message": "<string>",
"zone": "<string>",
"status": "True"
}
],
"allocatedInstances": 123,
"pendingInstances": 123,
"status": "STATUS_CREATING"
}
}
}Update the resources reserved by a CapacityClaim.
curl --request PATCH \
--url https://api.coreweave.com/v1alpha1/inference/capacityclaims/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"resources": {
"instanceId": "<string>",
"instanceCount": 123,
"zones": [
"<string>"
],
"capacityType": "CAPACITY_TYPE_SERVERLESS"
}
}
'{
"capacityClaim": {
"spec": {
"id": "<string>",
"name": "<string>",
"resources": {
"instanceId": "<string>",
"instanceCount": 123,
"zones": [
"<string>"
],
"capacityType": "CAPACITY_TYPE_SERVERLESS"
},
"organizationId": "<string>"
},
"status": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"conditions": [
{
"type": "<string>",
"lastUpdateTime": "2023-11-07T05:31:56Z",
"reason": "<string>",
"message": "<string>",
"zone": "<string>",
"status": "True"
}
],
"allocatedInstances": 123,
"pendingInstances": 123,
"status": "STATUS_CREATING"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
Use this file to discover all available pages before exploring further.
https://api.coreweave.com.{API_ACCESS_TOKEN} with your CoreWeave API access token.resources block —
this endpoint does not accept a field mask. Substitute
{id} with the CapacityClaim ID.
curl -X PATCH https://api.coreweave.com/v1alpha1/inference/capacityclaims/{id} \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {API_ACCESS_TOKEN}" \
-d @data.json
CoreWeave API access token sent as a bearer token.
The unique identifier of the CapacityClaim to update, UUID format
OK
Response for UpdateCapacityClaim
The updated CapacityClaim
Show child attributes
Was this page helpful?